#!env python
#

import sys
import random

# Config:
rand_min = -3
rand_max = 3

def main():
    global rand_min, rand_max
    random.seed()

    for line in sys.stdin:
        line = line.rstrip()
        if len(line) == 0:
            continue
        first, second = line.split(' ', 1)
        a, b, c = first.split(':')
        c = int(c) + random.randint(rand_min, rand_max)
        if( c >= 0 ):
            out = "%s:%s:%03d" % (a, b, c)
        else:
            out = "%s:%s:%+04d" % (a, b, c)
        out = ' '.join( (out, second) )
        print out

if __name__ == "__main__":
    main()


